# Don't try fancy stuff like debuginfo, which is useless on binary-only
# packages. Don't strip binary too
# Be sure buildpolicy set to do nothing
%define        __spec_install_post %{nil}
%define          debug_package %{nil}
%define        __os_install_post %{_dbpath}/brp-compress

%define	_prefix /usr/local

Summary: Postgresql (UPENN)
Name: upenn-pg-scripts
License: None
Vendor: UPENN
Version: 0.7
Release: 1
Group: Development/Tools
Source: pg-scripts-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Prefix: %{_prefix}
Requires: upenn-postgresql
Requires: rcs

%description
Scripts for managing Postgresql

%prep

%setup -c
cd pg-scripts-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}/%{_prefix}
make -C pg-scripts-%{version} DESTDIR=%{buildroot} install

%post
	%{_prefix}/lib/pg-scripts/add-conf-block /etc/sudoers pg-scripts %{_prefix}/lib/pg-scripts/sudoers "/usr/sbin/visudo -cf"
%preun
	%{_prefix}/lib/pg-scripts/remove-conf-block /etc/sudoers pg-scripts "/usr/sbin/visudo -cf"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_prefix}/bin/*
%{_prefix}/sbin/*
%{_prefix}/lib/*
%changelog
* Wed May 12 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.7
- Fixed failover scripts
* Wed Mar 22 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.4-1
- pg-edit-conf _recovery.conf fix.
* Wed Mar 11 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.3-1
- pg_port fixes, sudoers fixes
* Wed Mar 11 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.2-1
- Lots of updates for clustering type things.
* Wed Sep 30 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 0.1-1
- First cut at packaging pg-scripts properly.
